/**
 * Ordering.java
 *
 * File generated from the LDAStructure::Ordering uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.ldap.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * Description of the enumeration Ordering.
 * 
 */

@XmlType(name = "Ordering")
@XmlEnum
@XmlRootElement(name = "Ordering")
public enum Ordering {
	@XmlEnumValue("generalizedTimeOrderingMatch")
	GENERALIZEDTIMEORDERINGMATCH("generalizedTimeOrderingMatch");

	private final String value;

	Ordering(String v) {
		value = v;
	}

	public String value() {
		return value;
	}

	public static Ordering fromValue(String v) {
		for (Ordering c : Ordering.values()) {
			if (c.value.equals(v)) {
				return c;
			}
		}
		throw new IllegalArgumentException(v);
	}

}